Bug 450832 - Build warnings from libgfs
Build warnings from libgfs
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: GFS (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Robert Peterson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-11 05:33 EDT by Steve Whitehouse
Modified: 2008-06-13 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-13 12:46:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (6.14 KB, patch)
2008-06-12 11:49 EDT, Robert Peterson
no flags Details | Diff

  None (edit)
Description Steve Whitehouse 2008-06-11 05:33:38 EDT
From the ia64 build logs, there are a number of build warnings which need to be
fixed:

gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
-D_GNU_SOURCE -DHELPER_PROGRAM -c -I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs-kernel/src/gfs
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/../include
-I/usr/include -c -o file.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/file.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
-D_GNU_SOURCE -DHELPER_PROGRAM -c -I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs-kernel/src/gfs
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/../include
-I/usr/include -c -o fs_bits.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/fs_bits.c
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/fs_bits.c: In function
'fs_get_bitmap':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/fs_bits.c:280: warning:
pointer targets in assignment differ in signedness
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/fs_bits.c: In function
'fs_set_bitmap':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/fs_bits.c:338: warning:
pointer targets in passing argument 1 of 'fs_setbit' differ in signedness
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
-D_GNU_SOURCE -DHELPER_PROGRAM -c -I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs-kernel/src/gfs
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/../include
-I/usr/include -c -o fs_bmap.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/fs_bmap.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
-D_GNU_SOURCE -DHELPER_PROGRAM -c -I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs-kernel/src/gfs
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/../include
-I/usr/include -c -o fs_dir.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/fs_dir.c
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/fs_dir.c: In function
'leaf_search':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/fs_dir.c:277: warning:
pointer targets in passing argument 1 of 'gfs_dir_hash' differ in signedness
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/fs_dir.c: In function
'linked_leaf_search':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/fs_dir.c:364: warning:
pointer targets in passing argument 1 of 'gfs_dir_hash' differ in signedness
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/fs_dir.c: In function
'dir_e_add':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/fs_dir.c:1246: warning:
pointer targets in passing argument 1 of 'gfs_dir_hash' differ in signedness
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/fs_dir.c: In function
'dir_l_add':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/fs_dir.c:1446: warning:
pointer targets in passing argument 1 of 'gfs_dir_hash' differ in signedness
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/fs_dir.c: In function
'fs_dir_search':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/fs_dir.c:447: warning:
'bh' may be used uninitialized in this function
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/fs_dir.c:447: note: 'bh'
was declared here
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
-D_GNU_SOURCE -DHELPER_PROGRAM -c -I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs-kernel/src/gfs
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/../include
-I/usr/include -c -o fs_inode.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/fs_inode.c
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/fs_inode.c: In function
'fs_mkdir':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/fs_inode.c:374: warning:
pointer targets in assignment differ in signedness
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
-D_GNU_SOURCE -DHELPER_PROGRAM -c -I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs-kernel/src/gfs
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/../include
-I/usr/include -c -o inode.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/inode.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
-D_GNU_SOURCE -DHELPER_PROGRAM -c -I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs-kernel/src/gfs
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/../include
-I/usr/include -c -o log.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/log.c
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/log.c: In function 'query':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/log.c:101: warning:
ignoring return value of 'read', declared with attribute warn_unused_result
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/log.c:111: warning:
ignoring return value of 'read', declared with attribute warn_unused_result
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/log.c:121: warning:
ignoring return value of 'read', declared with attribute warn_unused_result
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/log.c:132: warning:
ignoring return value of 'read', declared with attribute warn_unused_result
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
-D_GNU_SOURCE -DHELPER_PROGRAM -c -I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs-kernel/src/gfs
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/../include
-I/usr/include -c -o ondisk.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/ondisk.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
-D_GNU_SOURCE -DHELPER_PROGRAM -c -I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs-kernel/src/gfs
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/../include
-I/usr/include -c -o rgrp.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/rgrp.c
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/rgrp.c: In function
'fs_rgrp_verify':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/rgrp.c:231: warning:
pointer targets in passing argument 1 of 'fs_bitcount' differ in signedness
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/rgrp.c: In function
'fs_rgrp_recount':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/rgrp.c:289: warning:
pointer targets in passing argument 1 of 'fs_bitcount' differ in signedness
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
-D_GNU_SOURCE -DHELPER_PROGRAM -c -I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs-kernel/src/gfs
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/../include
-I/usr/include -c -o size.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/size.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
-D_GNU_SOURCE -DHELPER_PROGRAM -c -I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs-kernel/src/gfs
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/../include
-I/usr/include -c -o super.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/super.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
-D_GNU_SOURCE -DHELPER_PROGRAM -c -I/usr/src/upstream/kernel/linux-2.6//fs/gfs2/
-I/usr/src/upstream/kernel/linux-2.6//include/
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs-kernel/src/gfs
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/../include
-I/usr/include -c -o util.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/util.c
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/util.c: In function
'next_rg_meta':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/util.c:156: warning:
pointer targets in passing argument 1 of 'fs_bitfit' differ in signedness
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/util.c: In function
'next_rg_meta_free':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/util.c:209: warning:
pointer targets in passing argument 1 of 'fs_bitfit' differ in signedness
/usr/src/upstream/cluster/rhcluster/cluster/gfs/libgfs/util.c:212: warning:
pointer targets in passing argument 1 of 'fs_bitfit' differ in signedness
Comment 1 Robert Peterson 2008-06-11 08:25:56 EDT
I've been aware of this for quite some time.  In fact, there's already
a bug opened against it by Fabio: bug #245573.  Eliminating the build
warnings is going to be a lot of tedious work.  Not that it shouldn't
be done, but it's never been a priority since gfs is not upstream and
likely never will be.  If we're planning to ship gfs-utils in Fedora then
perhaps I should give this more focus.
Comment 2 Fabio Massimo Di Nitto 2008-06-11 08:36:56 EDT
gfs-utils will show up in rawhide next week together with gnbd-utils.

Even if we can't ship GFS1 as kernel module, we will make userland available for
the users as matter of commodity. Kenrel modules will be available from an
external archive.

Fabio
Comment 3 Robert Peterson 2008-06-12 11:49:53 EDT
Created attachment 309090 [details]
Proposed patch

This is the patch I'm going to push.
Comment 4 Robert Peterson 2008-06-12 12:02:02 EDT
Hey Fabio, this is now pushed to master and STABLE2.  Can you double-
check it or me?  Thanks.
Comment 5 Fabio Massimo Di Nitto 2008-06-12 23:51:04 EDT
Looks good now on all arches.

Thanks
Fabio
Comment 6 Robert Peterson 2008-06-13 12:46:59 EDT
Closing as UPSTREAM, since this is in the upstream cluster git repository.

Note You need to log in before you can comment on or make changes to this bug.